defmodule Exmr.Exams.Exam do
  use Ecto.Schema
  import Ecto.Changeset

  schema "exams" do
    field :date, :date
    field :description, :string
    field :subject, :string

    timestamps(type: :utc_datetime)
  end

  @doc false
  def changeset(exam, attrs) do
    exam
    |> cast(attrs, [:subject, :description, :date])
    |> validate_required([:subject, :description, :date])
  end
end
